# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95.0"
name = "nix-command"
version = "0.2.3"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Typed Nix command construction and execution"
homepage = "https://github.com/notashelf/eh"
readme = "README.md"
license = "MPL-2.0"
repository = "https://github.com/notashelf/eh"

[lib]
name = "nix_command"
path = "src/lib.rs"

[dependencies.subprocess]
version = "1.0.3"

[dependencies.thiserror]
version = "2.0.18"
